Groovy 1.7.10

## groovy.model
[Java] Class PropertyModel

    java.lang.Object
      groovy.model.PropertyModel

All Implemented Interfaces:
  NestedValueModel, ValueModel

    public class PropertyModel
    extends Object

Represents a property of a value as a model.

Authors:
  James Strachan

Version:
  \$Revision: 7054 \$

Constructor Summary
`PropertyModel(ValueModel sourceModel, String property)`
`PropertyModel(ValueModel sourceModel, String property, Class type)`
`PropertyModel(ValueModel sourceModel, String property, Class type, boolean editable)`

Method Summary
`String` | `getProperty()`
`ValueModel` | `getSourceModel()`
`Class` | `getType()`
`Object` | `getValue()`
`boolean` | `isEditable()`
`void` | `setValue(Object value)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### PropertyModel

    public PropertyModel(ValueModel sourceModel, String property)

### PropertyModel

    public PropertyModel(ValueModel sourceModel, String property, Class type)

### PropertyModel

    public PropertyModel(ValueModel sourceModel, String property, Class type, boolean editable)

Method Detail

### getProperty

    public String getProperty()

### getSourceModel

    public ValueModel getSourceModel()

### getType

    public Class getType()

### getValue

    public Object getValue()

### isEditable

    public boolean isEditable()

### setValue

    public void setValue(Object value)

Copyright © 2003-2010 The Codehaus. All rights reserved.